Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.dsyevx

scipy.linalg.lapack.dsyevx(a[, compute_v, range, lower, vl, vu, il, iu, abstol, lwork, overwrite_a]) = <fortran function dsyevx>

  Wrapper for `dsyevx`.

  Parameters:
    a input rank-2 array(‘d’) with bounds `(n,n)`
  Returns:
    w rank-1 array(‘d’) with bounds `(n)`
    z rank-2 array(‘d’) with bounds `((compute_v?MAX(0, n):0),(compute_v?(range == 'I'?1 - il + iu:MAX(1, n)):0))`
    m int
    ifail rank-1 array(‘i’) with bounds `((compute_v?n:0))`
    info int
  Other Parameters:
    compute_v input int, optional

      Default `1`

    range input bytes, optional

      Default `'A'`

    lower input int, optional

      Default `0`

    overwrite_a input int, optional

      Default `0`

    vl input float, optional

      Default `0.0`

    vu input float, optional

      Default `1.0`

    il input int, optional

      Default `1`

    iu input int, optional

      Default `n`

    abstol input float, optional

      Default `0.0`

    lwork input int, optional

      Default `max(8*n,1)`